hdiet
========

hdiet is an adaptation of the Hacker's Diet computer tools for weight tracking. You can find releases at [releases.gutmet.org](https://releases.gutmet.org) or build it yourself.

The Hacker's Diet
=================

"The Hacker's Diet" is an ingenious [book](https://www.fourmilab.ch/hackdiet/) by John Walker which applies a systems and signals view to bodyweight. If you haven't already, go read it.

Walker provides excellent online tools for tracking and Excel-/Palm-based tools for offline tracking. I'm not comfortable with either, though, and as it [turns out](https://www.fourmilab.ch/hackdiet/e4/pencilpaper.html), the calculations needed for trend calculation are simple.

build
=====

You need go v1.9 or higher. If you have go module support enabled, check the repository out wherever and run <i>go build hdiet.go</i> - otherwise use go get. 

usage
=====

Get a release or build hdiet yourself, then put it somewhere in your [path](https://en.wikipedia.org/wiki/PATH_(variable))

hdiet has the following commands:

* init: initialize the directory (create an empty file '.hdiet' as marker for the program)
* log: write today's weight to the log file
* show: plot weight to image and display
* calcdiet: calculate a planned diet

Weights are logged as plain text, each line consisting of YYYY-MM-DD tab WEIGHT. The same holds for a calculated diet.

The trend is displayed in red, the actual weight in blue. Red is what you should be looking at.


quick start
===========

```
cd /path/to/your/log/folder
hdiet init
hdiet log 82.7
```

You will get a warning that you need at least 2 values the first time you log.

Example
=======

Example of a filled weight log:

![](../plain/weight_example.png)


Example of a trend graph without calculated diet:

![](../plain/plot_example.png)
